## planetblupi 1.15.0

=== CMakeLists.txt ===

cmake_minimum_required (VERSION 3.2)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
set (CMAKE_CXX_STANDARD 11)

include (GNUInstallDirs)
include (${CMAKE_ROOT}/Modules/ExternalProject.cmake)
include ("${CMAKE_SOURCE_DIR}/cmake/Ronn2Man.cmake")

include_directories (${CMAKE_INSTALL_PREFIX}/include)
link_directories (${CMAKE_INSTALL_PREFIX}/lib)

project (planetblupi)
set (PB_VERSION_MAJOR 1)
set (PB_VERSION_MINOR 15)
set (PB_VERSION_PATCH 0)
set (PB_VERSION_EXTRA "")
set (PB_PRODUCT_NAME "Planet Blupi")
set (PB_PACKAGE_NAME "planetblupi")
set (PB_EXEC         "planetblupi")
set (PB_ICON_REF     "blupi")
set (PB_DESCRIPTION "Planet Blupi - A delirious spell-binding game")

option (PB_HTTP_VERSION_CHECK "Run a version check over HTTP (with CURL)" OFF)

configure_file (
  "${PROJECT_SOURCE_DIR}/src/config.h.in"
  "${PROJECT_BINARY_DIR}/include/config.h"
)

include_directories ("${PROJECT_BINARY_DIR}/include")

if (BUILD_JS)
  file (GLOB sources src/*.cxx src/*.h src/json/* src/platform/*_js.*)
else ()
  file (GLOB sources src/*.cxx src/*.h src/json/* src/platform/*_sdl.*)
endif ()

file (GLOB_RECURSE po resources/po/*.po)

if (APPIMAGE_APPRUN_PROGRAM AND APPIMAGE_ASSISTANT_PROGRAM)
  set (USE_APPIMAGE ON)
endif ()

if (NOT USE_APPIMAGE)
  configure_file (
    "${PROJECT_SOURCE_DIR}/resources/linux/application.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${PB_PACKAGE_NAME}.desktop"
    @ONLY
  )
endif ()

set (planetblupi_OUTPUT planetblupi)

if (NOT DEFINED BUILD_LINUX)
  set (BUILD_LINUX UNIX AND NOT APPLE)
endif ()

if (BUILD_JS)
  set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} ${EMSCRIPTEN_FLAGS})
  set (CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "--preload-file share")
  set (planetblupi_OUTPUT planetblupi.html)
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++11 -L${CMAKE_INSTALL_PREFIX}/lib")
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND "${STATIC_BUILD}")
  set (CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "-static-libgcc -static-libstdc++")
endif ()

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g3 -DDEBUG")
endif ()

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Release")
  set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -s")
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -s")
endif ()

# These copies are necessary with our stuff for AppImage because it's not
# supported by CPack.
if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
  file (COPY resources/data DESTINATION share/planetblupi)
else ()
  file (
    COPY resources/data DESTINATION share/planetblupi
    PATTERN "world2*.blp" EXCLUDE
    PATTERN "world*.dev.blp" EXCLUDE
  )
endif ()
file (COPY resources/image DESTINATION share/planetblupi)
file (COPY resources/fonts DESTINATION share/planetblupi)
if (NOT BUILD_JS)
  file (COPY resources/movie DESTINATION share/planetblupi)
endif ()
file (COPY resources/sound DESTINATION share/planetblupi)
file (COPY resources/music DESTINATION share/planetblupi)
file (COPY LICENSE.all DESTINATION share/doc/planetblupi)
file (COPY COPYING DESTINATION share/doc/planetblupi)
file (RENAME "${CMAKE_BINARY_DIR}/share/doc/planetblupi/LICENSE.all"
             "${CMAKE_BINARY_DIR}/share/doc/planetblupi/copyright")

if (BUILD_LINUX)
  file (COPY resources/icon/hicolor DESTINATION share/icons)
  file (
    COPY resources/linux/org.blupi.${PB_PACKAGE_NAME}.appdata.xml
    DESTINATION share/metainfo
  )
endif ()

# Windows stuff

if (MINGW)
  file (COPY resources/icon/blupi.ico DESTINATION "${CMAKE_BINARY_DIR}")
  configure_file (
    "${CMAKE_CURRENT_SOURCE_DIR}/resources/win32/planetblupi.rc.in"
    "${CMAKE_BINARY_DIR}/planetblupi.rc"
    @ONLY
  )

  list (APPEND sources "${CMAKE_BINARY_DIR}/planetblupi.rc")

  set (CMAKE_RC_COMPILER_INIT windres)
  enable_language (RC)
  set (CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")

  # Remove cmd window when executing planetblupi
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -mwindows")
endif (MINGW)

# Dependencies

if ("${STATIC_BUILD}")
  set (CMAKE_INCLUDE_PATH ${CMAKE_INSTALL_PREFIX}/include)
  set (CMAKE_LIBRARY_PATH ${CMAKE_INSTALL_PREFIX}/lib)
endif ()

find_package (Intl REQUIRED)
include_directories (${Intl_INCLUDE_DIRS})

find_package (Iconv REQUIRED)
include_directories (${Iconv_INCLUDE_DIRS})

find_package (Argagg REQUIRED)
include_directories (${Argagg_INCLUDE_DIRS})

find_package (SDLKitchensink REQUIRED)
include_directories (${SDLKitchensink_INCLUDE_DIRS})

find_package (PkgConfig REQUIRED)
if (NOT BUILD_JS)
  set (SDL2_DIR       "${CMAKE_INSTALL_PREFIX}/lib/cmake/SDL2")
  set (SDL2_image_DIR "${CMAKE_INSTALL_PREFIX}/lib/cmake/SDL2_image")
  set (SDL2_ttf_DIR   "${CMAKE_INSTALL_PREFIX}/lib/cmake/SDL2_ttf")
  set (SDL2_mixer_DIR "${CMAKE_INSTALL_PREFIX}/lib/cmake/SDL2_mixer")

  if ("${STATIC_BUILD}")
    find_package (SDL2 REQUIRED NO_DEFAULT_PATH)
    include_directories (${SDL2_INCLUDE_DIRS})
    set (planetblupi_DEPS ${planetblupi_DEPS} ${SDL2_STATIC_LIBRARIES})
    find_package (SDL2_image REQUIRED NO_DEFAULT_PATH)
    include_directories (${SDL2_IMAGE_INCLUDE_DIRS})
    set (planetblupi_DEPS ${planetblupi_DEPS} SDL2_image::SDL2_image-static)
    find_package (SDL2_ttf REQUIRED NO_DEFAULT_PATH)
    include_directories (${SDL2_TTF_INCLUDE_DIRS})
    set (planetblupi_DEPS ${planetblupi_DEPS} SDL2_ttf::SDL2_ttf-static)
    find_package (SDL2_mixer REQUIRED NO_DEFAULT_PATH)
    include_directories (${SDL2_MIXER_INCLUDE_DIRS})
    set (planetblupi_DEPS ${planetblupi_DEPS} SDL2_mixer::SDL2_mixer-static)
  else ()
    find_package (SDL2 REQUIRED)
    include_directories (${SDL2_INCLUDE_DIRS})
    find_package (SDL2_image REQUIRED)
    include_directories (${SDL2_IMAGE_INCLUDE_DIRS})
    find_package (SDL2_ttf REQUIRED)
    include_directories (${SDL2_TTF_INCLUDE_DIRS})
    find_package (SDL2_mixer REQUIRED)
    include_directories (${SDL2_MIXER_INCLUDE_DIRS})
  endif ()
endif ()

if (${PB_HTTP_VERSION_CHECK})
  pkg_search_module (CURL REQUIRED libcurl)
  add_definitions (-DUSE_CURL)
endif ()

if ("${STATIC_BUILD}")
  # Static dependencies for SDL_kitchensink
  pkg_search_module (AVCODEC REQUIRED libavcodec)
  pkg_search_module (AVFORMAT REQUIRED libavformat)
  pkg_search_module (AVUTIL REQUIRED libavutil)
  pkg_search_module (SWSCALE REQUIRED libswscale)
  pkg_search_module (SWRESAMPLE REQUIRED libswresample)

  if (NOT BUILD_JS)
    pkg_search_module (PNG REQUIRED libpng)
    set (planetblupi_DEPS ${planetblupi_DEPS} ${PNG_STATIC_LIBRARIES})

    # Static dependencies for SDL_mixer
    pkg_search_module (VORBIS REQUIRED vorbisfile)
    set (planetblupi_DEPS ${planetblupi_DEPS} ${VORBIS_STATIC_LIBRARIES})

    if (BUILD_LINUX)
      pkg_search_module (ALSA REQUIRED alsa)
      pkg_search_module (PULSE REQUIRED libpulse)
    endif ()

    set (planetblupi_DEPS ${planetblupi_DEPS}
      ${Intl_LIBRARIES}
      ${Iconv_LIBRARIES}
    )

    # For the static SDL2::TTF
    set (planetblupi_DEPS ${planetblupi_DEPS}
      -lz
      -lfreetype
      -lharfbuzz
    )
  endif ()

  if (${PB_HTTP_VERSION_CHECK})
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DCURL_STATICLIB")
  endif ()
endif ()

###########################
## Main binary dependencies
###########################

add_executable (${planetblupi_OUTPUT} ${sources})

if ("${STATIC_BUILD}")
  set (planetblupi_DEPS ${planetblupi_DEPS}
    ${SDLKitchensink_STATIC_LIBRARIES}
    ${AVCODEC_STATIC_LIBRARIES}
    ${AVFORMAT_STATIC_LIBRARIES}
    ${AVUTIL_STATIC_LIBRARIES}
    ${SWSCALE_STATIC_LIBRARIES}
    ${SWRESAMPLE_STATIC_LIBRARIES}
  )

  if (${PB_HTTP_VERSION_CHECK})
    list (APPEND planetblupi_DEPS
      ${CURL_STATIC_LIBRARIES}
    )
  endif ()

  if (BUILD_LINUX)
    list (APPEND planetblupi_DEPS
      ${ALSA_STATIC_LIBRARIES}
      ${PULSE_STATIC_LIBRARIES} -lrt
    )
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -L${CMAKE_INSTALL_PREFIX}/lib/pulseaudio")
  endif ()

  if (BUILD_WINDOWS)
    # Missing SDL2 static dependencies
    list (APPEND planetblupi_DEPS
      -lwinmm -limm32 -lsetupapi -lversion
    )
  endif ()
else ()
  set (planetblupi_DEPS
    ${SDL2_LIBRARIES}
    ${SDL2_MIXER_LIBRARIES}
    ${SDL2_IMAGE_LIBRARIES}
    ${SDL2_TTF_LIBRARIES}
    ${CURL_LIBRARIES}
    ${SDLKitchensink_LIBRARIES}
    pthread
  )

  if (${PB_HTTP_VERSION_CHECK})
    list (APPEND planetblupi_DEPS
      ${CURL_LIBRARIES}
    )
  endif ()
endif ()

target_link_libraries (${planetblupi_OUTPUT} PUBLIC ${planetblupi_DEPS})

##########
## GetText
##########

find_package (Gettext)

set (_potFile ${CMAKE_CURRENT_SOURCE_DIR}/resources/po/${PROJECT_NAME}.pot)

add_custom_command (OUTPUT ${_potFile}
  COMMAND xgettext --no-location --keyword=translate -o ${_potFile} ${sources}
  DEPENDS ${sources}
  COMMENT "Extract translatable messages to ${_potFile}"
)

add_custom_target (pot_file ALL ${_all}
  DEPENDS ${_potFile}
)

gettext_create_translations (${_potFile} ALL ${po})

## Put mo files to appropriate directory
foreach (file ${_gmoFiles})
  get_filename_component (_lang ${file} NAME_WE)
  set (_out "share/locale/${_lang}/LC_MESSAGES")

  add_custom_command (OUTPUT ${_out}/planetblupi.mo
    COMMAND ${CMAKE_COMMAND} -E copy ${file} ${_out}/planetblupi.mo
    DEPENDS translations ${file}
  )

  add_custom_target ("po-${_lang}" ALL ${_all}
    DEPENDS ${_out}/planetblupi.mo
  )

  add_dependencies (${planetblupi_OUTPUT} "po-${_lang}")
endforeach (file)

#########
# manpage
#########

add_manpage_target ()
manpage(${PROJECT_NAME} 6)

##############
# Installation
##############

if (NOT BUILD_JS)
  install (TARGETS ${planetblupi_OUTPUT}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  )
  install (
    DIRECTORY resources/data DESTINATION share/planetblupi
    PATTERN "world2*.blp" EXCLUDE
    PATTERN "world*.dev.blp" EXCLUDE
  )
  install (
    DIRECTORY resources/data DESTINATION share/planetblupi
    CONFIGURATIONS Debug
    PATTERN "world2*.blp"
    PATTERN "world*.dev.blp"
  )
  install (DIRECTORY resources/image DESTINATION share/planetblupi)
  install (DIRECTORY resources/fonts DESTINATION share/planetblupi)
  install (DIRECTORY resources/movie DESTINATION share/planetblupi)
  install (DIRECTORY resources/sound DESTINATION share/planetblupi)
  install (DIRECTORY resources/music DESTINATION share/planetblupi)
  install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)
  install (FILES COPYING DESTINATION share/doc/planetblupi)

  if (BUILD_LINUX)
    install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)
    install (
      FILES resources/linux/org.blupi.${PB_PACKAGE_NAME}.appdata.xml
      DESTINATION share/metainfo
    )
  endif ()

  if (NOT USE_APPIMAGE)
    install (
      FILES ${CMAKE_CURRENT_BINARY_DIR}/${PB_PACKAGE_NAME}.desktop
      DESTINATION share/applications
    )
  endif ()

  # Copy libwinpthread-1.dll which seems not be linkable statically
  if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows" AND MINGW)
    execute_process (COMMAND cygpath.exe --windows $ENV{MINGW_PREFIX} OUTPUT_VARIABLE MINGW_PATH)
    string (REGEX REPLACE "[ \t\n\r]+$" "" MINGW_PATH "${MINGW_PATH}")
    string (REGEX REPLACE "[\\]" "\\\\\\\\" MINGW_PATH "${MINGW_PATH}")
    install (FILES "${MINGW_PATH}\\\\bin\\\\libwinpthread-1.dll" DESTINATION bin)
  endif ()
endif ()

#########
## Deploy
#########

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Release" AND "${STATIC_BUILD}")
  # set (CPACK_STRIP_FILES TRUE)
  set (CPACK_PACKAGE_NAME ${PB_PACKAGE_NAME})
  set (CPACK_PACKAGE_VENDOR "blupi.org")
  set (CPACK_PACKAGE_DESCRIPTION_SUMMARY ${PB_DESCRIPTION})
  set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
  # set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README-user.md")
  set (CPACK_PACKAGE_FILE_NAME ${PB_PACKAGE_NAME})

=== debian/changelog ===
planetblupi (1.15.0-5) unstable; urgency=medium

  * Fix d/copyright Files stanza for IBMPlex fonts
  * Generate oggfiles using csound-soundfont instead of the default timidity
    soundfont

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Dec 2023 15:21:42 +0100

planetblupi (1.15.0-4) unstable; urgency=medium

  * Backport two upstream patches:
    - Enable the window icon on Linux
    - Change platinum, platinium and Platinum to Platinium

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Dec 2023 13:34:51 +0100

planetblupi (1.15.0-3) unstable; urgency=medium

  * Update fonts' patch to use other fonts from Debian main:
    - fonts-vazirmatn (for Arabic)
    - culmus (for Hebrew)

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Sep 2023 07:50:14 +0200

planetblupi (1.15.0-2) unstable; urgency=medium

  * Add 1.15.0-1 changelog, missing from upload
  * Drop d/salsa-ci.yml in favour of repo-level configuration
  * Bump S-V to 4.6.2

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Sep 2023 17:07:36 +0200

planetblupi (1.15.0-1) unstable; urgency=medium

  * New 1.15.0 upstream release
  * Re-add myself to Uploaders
  * Fix watch file for rc* versions
  * Build-Depends:
    - Add libsdl2-ttf to B-D
    - Bump libsdl-kitchinsink B-D to 1.0.11 (Closes: #1051112)

 -- Didier 'OdyX' Raboud <odyx@debian.org>  Mon, 25 Sep 2023 09:54:46 +0200

=== debian/control ===
Source: planetblupi
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Didier Raboud <odyx@debian.org>,
Section: games
Priority: optional
Build-Depends:
 argagg-dev,
 cmake,
 debhelper-compat (= 13),
 libsdl-kitchensink-dev (>= 1.0.11),
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 pkg-config,
 ronn,
Build-Depends-Indep:
 csound-soundfont,
 timidity,
 vorbis-tools,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/games-team/planetblupi
Vcs-Git: https://salsa.debian.org/games-team/planetblupi.git
Homepage: https://blupi.org
Rules-Requires-Root: no

Package: planetblupi
Architecture: any
Depends:
 planetblupi-common (>= ${source:Version}),
 planetblupi-music-ogg (>= ${source:Version}) | planetblupi-music-midi (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Planet Blupi - A delirious spell-binding game
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.

Package: planetblupi-common
Architecture: all
Multi-Arch: foreign
Depends:
 culmus,
 fonts-vazirmatn,
 ${misc:Depends},
Recommends:
 planetblupi (>= ${source:Version}),
Enhances:
 planetblupi,
Description: Planet Blupi - A delirious spell-binding game - data
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the architecture-independent game data.

Package: planetblupi-music-midi
Architecture: all
Multi-Arch: foreign
Depends:
 fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm,
 ${misc:Depends},
Recommends:
 planetblupi (>= ${source:Version}),
Enhances:
 planetblupi,
Description: Planet Blupi - A delirious spell-binding game - MIDI music
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the lightweight MIDI music

Package: planetblupi-music-ogg
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 planetblupi (>= ${source:Version}),
Enhances:
 planetblupi,
Description: Planet Blupi - A delirious spell-binding game - Ogg music
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the heavyweight OGG music.

## planetblupi 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
 set (PB_VERSION_MINOR 15)
-set (PB_VERSION_PATCH 0)
+set (PB_VERSION_PATCH 1)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
 set (PB_PACKAGE_NAME "planetblupi")
@@ -99,7 +99,7 @@
 file (COPY resources/sound DESTINATION share/planetblupi)
 file (COPY resources/music DESTINATION share/planetblupi)
 file (COPY LICENSE.all DESTINATION share/doc/planetblupi)
-file (COPY COPYING DESTINATION share/doc/planetblupi)
+file (COPY CREDITS DESTINATION share/doc/planetblupi)
 file (RENAME "${CMAKE_BINARY_DIR}/share/doc/planetblupi/LICENSE.all"
              "${CMAKE_BINARY_DIR}/share/doc/planetblupi/copyright")
 
@@ -351,7 +351,7 @@
   install (DIRECTORY resources/sound DESTINATION share/planetblupi)
   install (DIRECTORY resources/music DESTINATION share/planetblupi)
   install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)
-  install (FILES COPYING DESTINATION share/doc/planetblupi)
+  install (FILES CREDITS DESTINATION share/doc/planetblupi)
 
   if (BUILD_LINUX)
     install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)

=== debian/changelog ===
planetblupi (1.15.1-2) unstable; urgency=medium

  * Team Upload
  * Fix FBTFS with CMake 4 (Closes: #1113411)
  * Depends on fonts-culmus instead of transitional culmus (Closes: #1111135)
  * Revert changes outside of debian/

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 14:34:31 +0200

planetblupi (1.15.1-1) unstable; urgency=medium

  * New 1.15.1 upstream release
    - Drop two patches that were from upstream
  * Bump S-V to 4.7 without changes needed
  * B-D: Replace pkg-config by pkgconf
  * d/copyright: list the appdata xml, update years

 -- Didier Raboud <odyx@debian.org>  Fri, 26 Apr 2024 13:45:48 +0200

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,16 @@
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
- pkg-config,
+ pkgconf,
  ronn,
 Build-Depends-Indep:
  csound-soundfont,
  timidity,
  vorbis-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/planetblupi
 Vcs-Git: https://salsa.debian.org/games-team/planetblupi.git
 Homepage: https://blupi.org
-Rules-Requires-Root: no
 
 Package: planetblupi
 Architecture: any
@@ -41,7 +40,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- culmus,
+ fonts-culmus,
  fonts-vazirmatn,
  ${misc:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=games

midfiles := $(wildcard resources/music/music*.mid)
oggfiles := $(midfiles:.mid=.ogg)

override_dh_clean-indep:
	dh_clean -i
	# These are shipped in the source archive, let's rebuild them
	rm -f $(oggfiles)

override_dh_auto_build-indep: $(oggfiles)
	dh_auto_build -i

resources/music/music%.ogg: resources/music/music%.mid
	# Encode to ogg with "Quality=0" ~ 64 kB
	timidity --config-string="soundfont /usr/share/sounds/sf2/sf_GMbank.sf2" -Ow $< -o - | oggenc -Q -q0 --serial 1 -o $@ -

=== debian/watch ===
version=4
opts=uversionmangle=s/[_\.\-\+]?(rc|alpha|beta)/~$1/ \
  https://github.com/blupi-games/planetblupi/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
